# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class IntValueConstruct

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.webmastertools.IntValueConstruct

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  SitemapsEntry.UrlCount

    public abstract class IntValueConstruct

extends ValueConstruct

GData schema extension describing a node with an integer value. The class is abstract, derive from this class and define default constructor which hardcodes the node name.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`IntValueConstruct(java.lang.String nodeName)` Constructs `ValueConstruct` to represent integer value.

Method Summary
`boolean` `equals(java.lang.Object rhs)` Compares `IntValueConstruct` objects based on the integer value that they hold.
`int` `getIntValue()` Get `Integer` value.
`int` `hashCode()` Returns hash code which is the integer value that the object holds.
`void` `setIntValue(int value)` Set `Integer` value.
`void` `setValue(java.lang.String value)` Override `ValueConstruct.setValue(String)` to validate that supplied value is integer.

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, generate, getHandler, getValue, hasValue, isRequired, putAttributes, setRequired`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntValueConstruct

    public IntValueConstruct(java.lang.String nodeName)

  Constructs `ValueConstruct` to represent integer value.

Method Detail

### equals

    public boolean equals(java.lang.Object rhs)

  Compares `IntValueConstruct` objects based on the integer value that they hold.

  Overrides:
    `equals` in class `ValueConstruct`

### hashCode

    public int hashCode()

  Returns hash code which is the integer value that the object holds.

  Overrides:
    `hashCode` in class `ValueConstruct`

### setValue

    public void setValue(java.lang.String value)

  Override `ValueConstruct.setValue(String)` to validate that supplied value is integer.

  Overrides:
    `setValue` in class `ValueConstruct`
  Parameters:
    `value` - new value for the value construct or `null` to reset.
  Throws:
    `java.lang.NullPointerException` - if argument is null.
    `java.lang.IllegalArgumentException` - if argument is not a valid integer.

### setIntValue

    public void setIntValue(int value)

  Set `Integer` value.

### getIntValue

    public int getIntValue()

  Get `Integer` value.